# 
# * 10.3 Модуль random стандартной библиотеки
# 

"""
* Подвиг 2.
Вводятся два натуральных числа a, b (a < b) в одну строчку через пробел.
Выполните генерацию вещественной случайной величины в диапазоне [a; b).
Округлите результат до сотых и выведите его на экран.
?Sample Input:
-4 5
?Sample Output:
-2.79
"""
# import random
# # установка "зерна" датчика случайных чисел, чтобы получались одни и те же случайные величины
# random.seed(1)
# # здесь продолжайте программу
# a, b = map(int, input().split())
# print(round(random.uniform(a, b),2))

"""
* Подвиг 3.
Вводятся два натуральных числа a, b (a < b) в одну строчку через пробел.
Выполните генерацию целочисленной случайной величины в диапазоне [a; b].
Выведите результат на экран.
Sample Input:
-2 3
Sample Output:
-1
"""
# import random
# # установка "зерна" датчика случайных чисел, чтобы получались одни и те же случайные величины
# random.seed(1)
# # здесь продолжайте программу
# a, b = map(int, input().split())
# print(random.randint(a, b))

"""
* Подвиг 4.
Вводится список названий городов в одну строчку через пробел. Выберите
из этого списка один город случайным образом и отобразите его на экране.
?Sample Input:
Тула Казань Смоленск Семипалатинск Уфа Москва Самара
?Sample Output:
Казань
"""
# import random
# # установка "зерна" датчика случайных чисел, чтобы получались одни и те же случайные величины
# random.seed(1)
# # здесь продолжайте программу
# c = input().split()
# print(random.choice(c))

"""
* Подвиг 5.
Вводится таблица целых чисел, записанных через пробел. Необходимо
перемешать столбцы этой таблицы, используя функции shuffle и zip и
вывести результат на экран (также в виде таблицы).
P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
Sample Input:
1 2 3 4
5 6 7 8
9 8 6 7
Sample Output:
4 1 3 2
8 5 7 6
7 9 6 8
"""
# import sys
# import random
# # установка "зерна" датчика случайных чисел, чтобы получались одни и те же случайные величины
# random.seed(1)
# # считывание списка из входного потока
# lst_in = list(map(str.strip, sys.stdin.readlines()))
# # здесь продолжайте программу
# lst = list(map(lambda x: list(map(int, x.split())), lst_in))
# lst = list(zip(*lst))
# random.shuffle(lst)
# [print(*l) for l in zip(*lst)]

"""
* Подвиг 6.
Вводятся имена студентов в одну строчку через пробел. Требуется
случайным образом выбрать трех студентов из этого списка, используя
функцию sample. (Полагается, что в исходном списке более трех
студентов). Результат вывести на экран в одну строчку через пробел.
?Sample Input:
Петров Иванов Сидоров Балакирев Фридман
?Sample Output:
Иванов Петров Фридман
"""
# import random
# # установка "зерна" датчика случайных чисел, чтобы получались одни и те же случайные величины
# random.seed(1)

# # здесь продолжайте программу
# print(*random.sample(input().split(),3))

"""
* Значимый подвиг 7.
Имеется двумерное игровое поле размером N x N (N - натуральное число,
вводится с клавиатуры), представленное в виде вложенного списка:
P = [[0] * N for i in range(N)]
Требуется расставить в нем случайным образом M = 10 единиц
(целочисленных) так, чтобы они не соприкасались друг с другом (то есть,
вокруг каждой единицы должны быть нули, либо граница поля). 
P.S. Поле на экран выводить не нужно (вообще ничего не нужно выводить),
только сформировать.
?Sample Input:
10
?Sample Output:
True
"""
import random
# установка "зерна" датчика случайных чисел, чтобы получались одни и те же случайные величины
random.seed(1)
# начальная инициализация поля (переменные P и N не менять, единицы записывать в список P)
N = int(input())
P = [[0] * N for _ in range(N)]

# здесь продолжайте программу
counter = 0
while counter < 10:
    i = random.randint(0, N - 1)
    k = random.randint(0, N - 1)
    if i % 2 == 0 and k % 2 == 0 and P[i][k] == 0:
        P[i][k] = 1
        counter += 1
